﻿
* {
    /* padding: 0;
    margin: 0;
    font-family: Sans Serif;
    
    text-decoration: none;*/
    box-sizing: border-box;
}
/*-----------------------------BACKGROUND PICTURE--------------------*/
body {
    background-image: linear-gradient(rgba(0,0,0,0.6),rgba(0,0,0,0.6)),url(../images/background.jpg);
    background-color: black;
    max-width: 300vh;
    right: 25%;
    background-size: cover;
    background-position: center;
}


#wrapper {
    height: 100%;
    width: 100%;
    margin: auto;
}

/*------------------HOME PAGE BACKGROUND PICTURE*/
.background {
    height: 100vh;
    width: 100%;
    background-image: linear-gradient(rgba(0,0,0,0.6),rgba(0,0,0,0.6)),url(../images/newlogo.jpg);
    background-color: black;
    max-width: 300vh;
    right: 25%;
    background-size: cover;
    background-position: center;
}

nav {
    font-weight: bold;
    font-size: 130%;
    word-spacing: 1em;
    padding-top: 40px;
    text-align: center;
}


.logo {
    color: white;
    font-size: 35px;
    letter-spacing: 1px;
    cursor: pointer;
}

span {
    color: #cd5c5c;
}
/*-------------Home/About/Project/Contact-------------*/
nav a {
    list-style-type: none;
    display: inline-block;
    padding: 10px 25px;
    color: #cd5c5c;
    text-decoration: none;
    font-weight: bold;
    text-transform: capitalize;
}

    nav a:hover {
        color: white;
        transition: .4s;
    }

/*------------------------home page---Sana Siddiqui-------------------------------------*/

.content {
    position: absolute;
    top: 45%;
    left: 72%;
    transform: translateX(-50%);
}

h1 {
    color: white;
    margin: 20px 0px 20px;
    font-size: 75px;
}
/*
h2 {
    color: white;
    margin-bottom: 50px;
    font-size: 25px;
}
    */
h2 {
    color: white;
    margin-bottom: 50px;
    font-size: 25px;
}
.multiText {
    color: #cd5c5c;
    text-transform: capitalize;
}

h3 {
    color: white;
    text-align: center;
    font-size: 75px;
}

.newslatter form {
    width: 380px;
    position: relative;
    font-family: Arial,sans-serif;
    padding: 10px;
    display: block;
}

    .newslatter form input:first-child {
        display: inline-block;
        width: 100%;
        padding: 14px 130px 14px 15px;
        border: 2px solid #cd5c5c;
        outline: none;
        border-radius: 30px;
    }

    .newslatter form input:last-child {
        position: absolute;
        display: inline-block;
        outline: none;
        border: none;
        padding: 10px 30px;
        border-radius: 30px;
        background-color: #cd5c5c;
        color: white;
        box-shadow: 0px 0px 5px #000,0px 0px 15px #858585;
        top: 16.5px;
        right: 18px;
    }


.about {
    width: 100%;
    padding: 100px 0px;
    color: white;
    font-size: 20px;
    margin: 30px auto;
    text-align: center;
}

p {
    text-align: center;
    color: white;
}

.about h1 {
    color: white;
    font-size: 60px;
    width: auto;
    margin: 30px auto;
    text-align: center;
}

button {
    background-color: #cd5c5c;
    color: white;
    text-decoration: none;
    border: 2px solid transparent;
    font-weight: bold;
    padding: 20px 50px;
    border-radius: 30px;
    transition: .4s;
}

    button:hover {
        background-color: transparent;
        border: 2px solid #f9004d;
        cursor: pointer;
    }
/*-----------------------SERVICE SECTION------------------------------*/
.service {
    width: 100%;
    padding: 100px 0px;
}

.title h2 {
    color: white;
    font-size: 60px;
    width: 1130px;
    margin: 30px auto;
    text-align: center;
}

.box {
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 400px;
}

.card {
    height: 365px;
    width: 335px;
    padding: 20px 35px;
    background: #383838;
    border-radius: 20px;
    margin: 15px;
    position: relative;
    overflow: hidden;
    text-align: center;
}

    .card i {
        font-size: 50px;
        display: block;
        text-align: center;
        margin: 25px 0px;
        color: #cd5c5c;
    }

    .card h3 {
        color: white;
        font-size: 23px;
        margin-bottom: 15px;
    }

.pra p {
    color: white;
    font-size: 16px;
    line-height: 27px;
    margin-bottom: 25px;
}

.card .button {
    background-color: #cd5c5c;
    color: white;
    text-decoration: none;
    border: 2px solid transparent;
    font-weight: bold;
    padding: 9px 22px;
    border-radius: 30px;
    transition: .4s;
}

    .card .button:hover {
        background-color: transparent;
        border: 2px solid #f9004d;
        cursor: pointer;
    }

.service h1 {
    text-align: center;
    color: white;
    font-size: 75px;
}





/*------------------------------PROJECT Headings---------------------->*/
.main-text h2 {
    text-align: center;
    color: white;
    text-decoration: underline;
    font-size: 25px;
}

.portfolio-content {
    display: grid;
    grid-template-columns: repeat(auto-fill,minmax(350px,auto));
    align-items: center;
    grid-gap: 2.5em;
    margin: 50px;
    gap: .5em;
    margin-top: 1rem;
}

.row {
    position: relative;
    overflow: hidden;
    border-radius: 18px;
    cursor: pointer;
}

    .row img {
        width: 100%;
        border-radius: 8px;
        display: block;
        transition: transform 0.5s;
    }
/*-------------TRANSITION PROJECT LAYER SECTION----------*/
.layer {
    width: 100%;
    height: 0;
    background: linear-gradient(rgba(0,0,0,0.6),#cd5c5c);
    position: absolute;
    border-radius: 8px;
    left: 0;
    bottom: 0;
    overflow: hidden;
    display: grid; /*----transition layer description heading*/
    flex-direction: column;
    align-items: center;
    text-align: center;
    padding: 0 40px;
    transition: height 0.5s;
}
    /*--text on transition layer dimenstions--*/
    .layer h2 {
        font-size: 20px;
        font-weight: 600;
        margin-bottom: 15px;
    }
    /*--paragraph on transition layer dimenstions--*/
    .layer p {
        color: white;
        font-size: 1rem;
        line-height: 1.8;
    }

.row hover img {
    transform: scale(1.1);
}

.row:hover {
    height: 100%;
}

    .row:hover .layer {
        height: 100%;
    }


/*--------------------CONTACT SECTION-----------------------------*/

.contact-me {
    width: 100%;
    height: 290px;
    display: flex;
    align-items: center;
    flex-direction: column;
    justify-content: center;
}

    .contact-me p {
        color: white;
        font-size: 30px;
        font-weight: bold;
        margin-bottom: 0;
    }

    .contact-me .button-two {
        background-color: #cd5c5c;
        color: white;
        text-decoration: none;
        border: 2px solid transparent;
        font-weight: bold;
        padding: 13px 30px;
        border-radius: 30px;
        transition: .4s;
        margin-top: 5em;
    }

        .contact-me .button-two:hover {
            background-color: transparent;
            border: 2px solid #cd5c5c;
            cursor: pointer;
        }

/*--------------------FOOTER SECTION--------------------*/
footer {
    position: relative;
    width: 100%;
    height: 400px;
    font-size: 25px;
    color: white;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

    footer p {
        font-family: 'Lucida Calligraphy';
        font-size: 35px;
        color: #cd5c5c;
    }

    footer p1 {
        font-family: 'Lucida Calligraphy';
        font-size: 20px;
        color: white;
    }

    footer a {
        font-size: 25px;
        color: #cd5c5c;
    }

    footer p:nth-child(1) {
        font-size: 30px;
        color: white;
        margin-bottom: 20px;
        font-weight: bold;
    }

    footer p:nth-child(2) {
        color: white;
        font-size: 17px;
        width: 500px;
        text-align: center;
        line-height: 26px;
    }

.social {
    display: flex;
}

    .social i {
        width: 45px;
        height: 45px;
        display: flex;
        align-items: center;
        justify-content: center;
        background: #cd5c5c;
        border-radius: 50%;
        margin: 22px 10px;
        color: white;
        text-decoration: none;
        font-size: 20px;
    }

        .social i:hover {
            transform: scale(1.3);
            transition: .3s;
        }

.end {
    position: absolute;
    color: white;
    bottom: 35px;
    font-size: 14px;
}
/*------------------------------------CODE FOR RESPONSIVE SCREEN-----------------------*/


@media only screen and (max-width: 1024px) {
    .logo {
        text-align: center;
        transition: .1s;
    }

    body {
        margin: 0px;
    }

    #wrapper {
        width: auto;
    }

    h2 {
        font-size: 25px;
        text-align: left;
        transition: .1s;
    }

    .card h3 {
        font-size: 20px;
        transition: .1s;
    }

    .card {
        height: 450px;
        transition: .1s;
    }

        .card i {
            font-size: 30px;
        }

    .pra p {
        font-size: 12px;
    }

    .about {
        text-align: center;
        margin-left: auto;
    }

        .about h1 {
            text-align: center;
            margin-left: auto;
        }

        .about h2 {
            text-align: center;
        }

        .about p {
            text-align: left;
            margin-left: 2%;
        }

    .service h1 {
        text-align: center;
        margin-left: auto;
    }
}

@media only screen and (max-width: 600px) {
    .content {
        text-align: left;
        transition: .1s;

    }
  

    h2 {
        font-size: 25px;
        text-align: left;
        transition: .1s;
    }

    h3 {
        font-size: 20px;
    }

    .about h1 {
        text-align: center;
        margin-left: auto;
    }

    .about p {
        text-align: left;
    }

    .service h1 {
        text-align: center;
        margin-left: auto;
    }

    .newslatter form {
        width: 200px;
        position: absolute;
        transition: .1s;
    }

    .box {
        display: grid;
        justify-content: center;
        align-items: center;
        min-height: 400px;
        transition: .1s;
    }
}
